Download exported CSV file - Fabric

Download exported CSV file

cURL

curl --request POST \
  --url https://live.copilot.fabric.inc/api-offers/offers-exports/actions/download-export-file \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "fileId": "redemption/tenantId/1687472972-redemption-export.csv"
}
'

Python

import requests

url = "https://live.copilot.fabric.inc/api-offers/offers-exports/actions/download-export-file"

payload = { "fileId": "redemption/tenantId/1687472972-redemption-export.csv" }
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({fileId: 'redemption/tenantId/1687472972-redemption-export.csv'})
};

fetch('https://live.copilot.fabric.inc/api-offers/offers-exports/actions/download-export-file', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Sample Response

{
  "url": "https://bucket-name.s3.amazonaws.com/redemption/tenantId/1687472972-redemption-export.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIA26KLJWUAPER5A",
  "fileId": "redemption/tenantId/1687472972-redemption-export.csv"
}

Error Responses

{
  "code": "FILE_EXPIRED",
  "message": "Exported file has expired."
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid credentials"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}

Authorizations

Authorization string required in the header of the form Bearer <token>.

Headers